POST api/NTPatientScheduling/MarkAsSchedule
Request Information
URI Parameters
None.
Body Parameters
EncounterRoomDTO| Name | Description | Type | Additional information |
|---|---|---|---|
| Id | integer |
None. |
|
| EncounterId | integer |
None. |
|
| RoomId | integer |
None. |
|
| StartDateTime | date |
None. |
|
| EndDateTime | date |
None. |
|
| RoomName | string |
String length: inclusive between 0 and 200 |
|
| StringEndDate | string |
String length: inclusive between 0 and 50 |
|
| StringStartDate | string |
String length: inclusive between 0 and 50 |
|
| EntityId | integer |
None. |
|
| EntityTypeId | integer |
None. |
|
| EmployeeId | string |
String length: inclusive between 0 and 15 |
|
| ValidFlag | boolean |
None. |
|
| DateCreated | date |
None. |
|
| DateUpdated | date |
None. |
|
| UserIDCreated | integer |
None. |
|
| UserIDUpdated | integer |
None. |
|
| CompanyCode | string |
String length: inclusive between 0 and 10 |
|
| IsExcludeDiscount | boolean |
None. |
Request Formats
application/json, text/json
Sample:
{
"Id": 1,
"EncounterId": 2,
"RoomId": 1,
"StartDateTime": "2026-06-20T06:24:13.8606143-07:00",
"EndDateTime": "2026-06-20T06:24:13.8606143-07:00",
"RoomName": "sample string 3",
"StringEndDate": "sample string 4",
"StringStartDate": "sample string 5",
"EntityId": 6,
"EntityTypeId": 7,
"EmployeeId": "sample string 8",
"ValidFlag": true,
"DateCreated": "2026-06-20T06:24:13.8606143-07:00",
"DateUpdated": "2026-06-20T06:24:13.8606143-07:00",
"UserIDCreated": 12,
"UserIDUpdated": 13,
"CompanyCode": "sample string 14",
"IsExcludeDiscount": true
}
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
AsapResponseOfEncounterRoomDTO| Name | Description | Type | Additional information |
|---|---|---|---|
| isSuccess | boolean |
None. |
|
| message | string |
None. |
|
| jsonObj | EncounterRoomDTO |
None. |
|
| totalCount | integer |
None. |
Response Formats
application/json, text/json
Sample:
{
"isSuccess": true,
"message": "sample string 2",
"jsonObj": {
"Id": 1,
"EncounterId": 2,
"RoomId": 1,
"StartDateTime": "2026-06-20T06:24:13.8606143-07:00",
"EndDateTime": "2026-06-20T06:24:13.8606143-07:00",
"RoomName": "sample string 3",
"StringEndDate": "sample string 4",
"StringStartDate": "sample string 5",
"EntityId": 6,
"EntityTypeId": 7,
"EmployeeId": "sample string 8",
"ValidFlag": true,
"DateCreated": "2026-06-20T06:24:13.8606143-07:00",
"DateUpdated": "2026-06-20T06:24:13.8606143-07:00",
"UserIDCreated": 12,
"UserIDUpdated": 13,
"CompanyCode": "sample string 14",
"IsExcludeDiscount": true
},
"totalCount": 3
}